package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 任务人员
 * </p>
 *
 * @author mk
 * @since 2022-08-13
 */
@TableName("task_user")
@ApiModel(value="TaskUser对象", description="任务人员")
public class TaskUser extends Model<TaskUser> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    private Long taskId;

    @ApiModelProperty(value = "计划id")
    @TableField("plan_id")
    private Long planId;

    @ApiModelProperty(value = "用户id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "任务状态(0:已生成;1:已匹配;2:待抢单;3:已接单;4:作业中;5:按时完成;6:超时完成;7:人工取消;8:系统取消;9:未完成)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "任务名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "任务派单号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "计划类型(0:计划;1:设备维护任务;2:指派)")
    @TableField("task_type")
    private Integer taskType;

    @ApiModelProperty(value = "任务派发时间")
    @TableField("send_time")
    private Date sendTime;

    @ApiModelProperty(value = "任务接单时间")
    @TableField("confirm_time")
    private Date confirmTime;

    @ApiModelProperty(value = "过期类型（0:不过期;1:第二天过期;2:指定时间过期）")
    @TableField("expire_type")
    private Integer expireType;

    @ApiModelProperty(value = "过期日期")
    @TableField("expire_time")
    private Date expireTime;

    @ApiModelProperty(value = "任务完成时间")
    @TableField("finish_time")
    private Date finishTime;

    @ApiModelProperty(value = "作业时间")
    @TableField("timing")
    private Integer timing;

    @ApiModelProperty(value = "任务位置")
    @TableField("task_position")
    private String taskPosition;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "池排序")
    @TableField("pool_order")
    private Integer poolOrder;

    @ApiModelProperty(value = "组排序")
    @TableField("group_order")
    private Integer groupOrder;

    @ApiModelProperty(value = "任务排序")
    @TableField("task_order")
    private Integer taskOrder;

    @ApiModelProperty(value = "班组长逗号分隔")
    @TableField("upload_manage_user")
    private String uploadManageUser;

    @ApiModelProperty(value = "任务派单人员")
    @TableField("task_distributi_user")
    private String taskDistributiUser;

    @ApiModelProperty(value = "任务接单人员")
    @TableField("task_accept_user")
    private String taskAcceptUser;

    @ApiModelProperty(value = "任务方法/任务要求")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "时薪工时")
    @TableField("wage_hour")
    private Double wageHour;

    @ApiModelProperty(value = "时薪类型")
    @TableField("wage_id")
    private Long wageId;

    @ApiModelProperty(value = "积分")
    @TableField("point")
    private Double point;

    @ApiModelProperty(value = "上报管理人")
    @TableField("report_manage_user")
    private String reportManageUser;

    @ApiModelProperty(value = "薪资金额")
    @TableField("salary")
    private Double salary;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public Integer getExpireType() {
        return expireType;
    }

    public void setExpireType(Integer expireType) {
        this.expireType = expireType;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getTiming() {
        return timing;
    }

    public void setTiming(Integer timing) {
        this.timing = timing;
    }

    public String getTaskPosition() {
        return taskPosition;
    }

    public void setTaskPosition(String taskPosition) {
        this.taskPosition = taskPosition;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Integer getPoolOrder() {
        return poolOrder;
    }

    public void setPoolOrder(Integer poolOrder) {
        this.poolOrder = poolOrder;
    }

    public Integer getGroupOrder() {
        return groupOrder;
    }

    public void setGroupOrder(Integer groupOrder) {
        this.groupOrder = groupOrder;
    }

    public Integer getTaskOrder() {
        return taskOrder;
    }

    public void setTaskOrder(Integer taskOrder) {
        this.taskOrder = taskOrder;
    }

    public String getUploadManageUser() {
        return uploadManageUser;
    }

    public void setUploadManageUser(String uploadManageUser) {
        this.uploadManageUser = uploadManageUser;
    }

    public String getTaskDistributiUser() {
        return taskDistributiUser;
    }

    public void setTaskDistributiUser(String taskDistributiUser) {
        this.taskDistributiUser = taskDistributiUser;
    }

    public String getTaskAcceptUser() {
        return taskAcceptUser;
    }

    public void setTaskAcceptUser(String taskAcceptUser) {
        this.taskAcceptUser = taskAcceptUser;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Double getWageHour() {
        return wageHour;
    }

    public void setWageHour(Double wageHour) {
        this.wageHour = wageHour;
    }

    public Long getWageId() {
        return wageId;
    }

    public void setWageId(Long wageId) {
        this.wageId = wageId;
    }

    public Double getPoint() {
        return point;
    }

    public void setPoint(Double point) {
        this.point = point;
    }

    public String getReportManageUser() {
        return reportManageUser;
    }

    public void setReportManageUser(String reportManageUser) {
        this.reportManageUser = reportManageUser;
    }

    public Double getSalary() {
        return salary;
    }

    public void setSalary(Double salary) {
        this.salary = salary;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TaskUser{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", taskId=" + taskId +
        ", planId=" + planId +
        ", userId=" + userId +
        ", userName=" + userName +
        ", mobile=" + mobile +
        ", status=" + status +
        ", name=" + name +
        ", no=" + no +
        ", taskType=" + taskType +
        ", sendTime=" + sendTime +
        ", confirmTime=" + confirmTime +
        ", expireType=" + expireType +
        ", expireTime=" + expireTime +
        ", finishTime=" + finishTime +
        ", timing=" + timing +
        ", taskPosition=" + taskPosition +
        ", districtId=" + districtId +
        ", poolOrder=" + poolOrder +
        ", groupOrder=" + groupOrder +
        ", taskOrder=" + taskOrder +
        ", uploadManageUser=" + uploadManageUser +
        ", taskDistributiUser=" + taskDistributiUser +
        ", taskAcceptUser=" + taskAcceptUser +
        ", content=" + content +
        ", wageHour=" + wageHour +
        ", wageId=" + wageId +
        ", point=" + point +
        ", reportManageUser=" + reportManageUser +
        ", salary=" + salary +
        "}";
    }
}
